API Reference
Complete reference documentation for the Grateful Payments API.
Base URL
All API requests should be made to:
https://merchant.grateful.me/apiAuthentication
All API requests require authentication using your API key in the x-api-key header.
headers: {
'Content-Type': 'application/json',
'x-api-key': '<your-api-key>'
}🔐
Get your API key from your merchant dashboard .
Endpoints
Payments
| Endpoint | Description |
|---|---|
POST /payments/new | Create a new payment |
GET /payments/:paymentId | Get payment details |
POST /payments/configure/:paymentId | Configure payment token & chain |
GET /payments/:paymentId/status | Get payment status |
Payment Flow
- Create - Call
POST /payments/newto create a payment request - Redirect - Send customer to the returned
url - Configure - Customer (or your system) configures token and chain selection
- Pay - Customer sends funds to the deposit address
- Confirm - Poll status or receive webhook notification
